Subject: [jose] Comments on the JSON Web Encryption document

From: "Jim Schaad" <[email-masked]>
Date: Sat, 12 Nov 2011 17:51:58 +0900

Here are a set of comments on the web encryption document.  These comments
reflect my personal opinions and not necessarily those of the chairs.

1.  In section 3 - I would reference the JSON Integrity draft rather than
the JSON Web Token draft.

2. The example in section 3 makes me interested in the following question.
When I do a ToString on a binary value in JSON, what is the output.  Is this
going to be better than using the base64 encoding of binary values to get
text values followed by doing the base64 encoding again.

3. Given the amount of overlap.  Is there a reason for having different IANA
registries for the encryption and signature header parameter names?

4.  Is there a reason for not supporting the "zip" header for signature?